Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 819190 - Unable to update packages from Spacewalk
Summary: Unable to update packages from Spacewalk
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Spacewalk
Classification: Community
Component: Clients
Version: 1.7
Hardware: x86_64
OS: Linux
unspecified
urgent
Target Milestone: ---
Assignee: Jan Pazdziora
QA Contact: Red Hat Satellite QA List
URL:
Whiteboard:
Depends On:
Blocks: space18
TreeView+ depends on / blocked
 
Reported: 2012-05-05 14:48 UTC by Maurice James
Modified: 2012-11-01 16:22 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-05-07 09:13:07 UTC


Attachments (Terms of Use)
Verbose output of rhn_check command (8.04 KB, text/plain)
2012-05-05 14:48 UTC, Maurice James
no flags Details
Screen shot of client needing updates (15.43 KB, image/jpeg)
2012-05-05 14:49 UTC, Maurice James
no flags Details

Description Maurice James 2012-05-05 14:48:54 UTC
Created attachment 582284 [details]
Verbose output of rhn_check command

Description of problem:
All of my systems are filing to update packages on all of my configured channels. They all fail with:
Error while executing packages action: empty transaction [[6]]

All other functions work correctly. remote commands, profile update, etc

Version-Release number of selected component (if applicable):
1.7

How reproducible:
100%

Steps to Reproduce:
1.apply errata or package update through web console
2.run rhn_check from client cli
3.keep checking Schedule > Failed Actions for jobs to show up
  
Actual results:


Expected results:
updated packages

Additional info:
The output for rhn_check -vvv is attached

Comment 1 Maurice James 2012-05-05 14:49:57 UTC
Created attachment 582285 [details]
Screen shot of client needing updates

Comment 2 Jan Pazdziora 2012-05-07 09:13:07 UTC
Please update your yum-rhn-plugin package.

http://www.redhat.com/archives/spacewalk-list/2011-September/msg00092.html


Note You need to log in before you can comment on or make changes to this bug.